%define major   3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%define scintillaver %(echo %{version} | sed -e 's/\\.//g')

Summary:        Free source code editing component
Name:           scintilla
Version:        3.7.6
Release:        %mkrel 3
License:        BSD
Group:          Editors
Url:            http://www.scintilla.org/index.html
Source0:        http://www.scintilla.org/%{name}%{scintillaver}.tgz
Source1:        scintilla376.cmake
Source2:        scintilla.pc.cmake

BuildRequires:  cmake
BuildRequires:  pkgconfig(gtk+-3.0)

%description
Scintilla is a free source code editing component. As well as features
found in standard text editing components, Scintilla includes features
especially useful when editing and debugging source code. These include
support for syntax styling, error indicators, code completion and call
tips.

%package -n     %{libname}
Summary:        Scintilla shared libraries
Group:          System/Servers

%description -n %{libname}
This package contains scintilla shared libraries.

%package -n     %{develname}
Group:          Development/C
Summary:        Headers and static lib for scintilla development
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Install this package if you want do compile applications using the
scintilla library.

%prep
%setup -q -n %{name}
cp %{SOURCE1} %{_builddir}/scintilla/CMakeLists.txt
cp %{SOURCE2} %{_builddir}/scintilla/scintilla.pc.cmake

sed -i -e 's/\@scintilla_VERSION\@/%{version}/' %{_builddir}/scintilla/scintilla.pc.cmake

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n       %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n       %{develname}
%doc doc/* License.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Fri Feb 14 2020 daviddavid <daviddavid> 3.7.6-3.mga8
+ Revision: 1517000
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.7.6-2.mga7
+ Revision: 1300956
- Mageia 7 Mass Rebuild

* Sat Nov 04 2017 zezinho <zezinho> 3.7.6-1.mga7
+ Revision: 1175797
- new stable version 3.7.6 -cmake file adapted

* Sat Feb 06 2016 umeabot <umeabot> 3.5.0-4.mga6
+ Revision: 939997
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.5.0-3.mga5
+ Revision: 744597
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5.0-2.mga5
+ Revision: 689066
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 anaselli <anaselli> 3.5.0-1.mga5
+ Revision: 668480
- new version 3.5.0

* Mon Aug 04 2014 akien <akien> 3.4.4-3.mga5
+ Revision: 659607
- Fix previous attempt at updating the pkg-config version

* Mon Aug 04 2014 akien <akien> 3.4.4-2.mga5
+ Revision: 659591
- Fix version in pkgconfig file

* Mon Aug 04 2014 akien <akien> 3.4.4-1.mga5
+ Revision: 659574
- Version 3.4.4
- Switch to gtk+3 instead of gtk+2
- Add documentation to -devel package

* Fri Oct 18 2013 umeabot <umeabot> 2.02-4.mga4
+ Revision: 518186
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.02-3.mga3
+ Revision: 381872
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 fwang <fwang> 2.02-2.mga3
+ Revision: 305414
- cleanup spec

* Tue Feb 22 2011 dmorgan <dmorgan> 2.02-2.mga1
+ Revision: 56268
- imported package scintilla


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.02-2mdv2011.0
+ Revision: 614825
- the mass rebuild of 2010.1 packages

* Fri Feb 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.02-1mdv2010.1
+ Revision: 505083
- update to 202

* Sat Dec 12 2009 Funda Wang <fwang@mandriva.org> 2.01-1mdv2010.1
+ Revision: 477834
- new version 2.01

* Tue Oct 27 2009 Funda Wang <fwang@mandriva.org> 1.79-2mdv2010.0
+ Revision: 459454
- move so file into devel package

* Mon Jul 20 2009 Raphaël Gertz <rapsys@mandriva.org> 1.79-1mdv2010.0
+ Revision: 398016
- Fix install path
- Add cmake dep
- Import new scintilla library
  Use an alternative cmake build system
- Created package structure for scintilla.

